.header {
  box-shadow: 0 0.25rem 0.25rem rgba(0, 0, 0, 0.25);

  &__inner {}

  &__logo {
    margin-top: auto;
    height: 6rem;
    width: 8.5rem;
  }

  &__logo-pic {
    height: 100%;
    width: 100%;
  }

  &__logo-img {
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: left bottom;
  }

  &__info {
    margin-left: 5rem;
  }

  &__address {
    font-style: normal;
  }

  &__address-link {
    font-size: 1rem;
    color: var(--color__black);
    transition: 0.24s;

    &:hover {
      color: var(--color__red);
    }

    &:focus {
      outline: transparent;
    }

    &:focus-visible {
      color: var(--color__gold);
    }

    &:active {
      color: var(--color__green);
    }
  }

  &__schedule {
    font-size: 0.75rem;
    margin-top: 0.5rem;
  }

  &__schedule-time {}

  &__work-now {}

  &__schedule-week {
    margin-top: 0.5rem;
    width: 100%;
    line-height: 1.5;
  }

  &__schedule-day {
    display: block;
    position: relative;
    z-index: 1;

    &.--active {
      color: var(--color__white);

      &::before {
        content: "";
        position: absolute;
        display: block;
        border-radius: 50%;
        height: 2em;
        width: 2em;
        background-color: var(--color__red);
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: -1;
      }
    }
  }

  &__nav {
    margin: 0 auto;
  }

  &__phones {
    margin-left: auto;
  }

  &__btn {
    height: 1.5rem;
    width: 1.5rem;
    --btn-color: var(--color__black);
    transition: 0.24s;
    cursor: pointer;
    border: none;
    padding: 0;
    box-shadow: none;
    background-color: var(--color__white);
    appearance: none;
    margin-left: 2rem;

    &:hover {
      --btn-color: var(--color__red)
    }

    &:focus {
      outline: transparent;
    }

    &:focus-visible {
      --btn-color: var(--color__green);
    }

    &:active {
      --btn-color: var(--color__gold);
    }

    &.--cart {
      position: relative;

      &::before {
        content: attr(data-goods);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 0.75rem;
        padding: 0.25em 0.5em;
        min-width: 1.75em;
        top: -50%;
        right: -50%;
        border-radius: 50%;
        background-color: var(--color__red);
        color: var(--color__white);
      }
    }
  }

  &__btn-icon {
    height: 90%;
    width: 90%;
    fill: var(--btn-color);
    transition: all 0.24s;

    path {
      transition: all 0.24s;
    }
  }
}